Debian Bug report logs - #646449
libosip2: FTBFS: osip_message_parse.c:850:5: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:libosip2; Maintainer for src:libosip2 is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 11:15:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version libosip2/3.3.0-1

Fixed in versions 3.6.0-1, libosip2/3.3.0-2

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Mon, 24 Oct 2011 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 24 Oct 2011 11:15:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: libosip2: FTBFS: osip_message_parse.c:850:5: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:08:24 +0200
Source: libosip2
Version: 3.3.0-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../include -Wall -Wcast-align -Wchar-subscripts -Wformat -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -DUSE_GPERF -pedantic -g -DENABLE_TRACE -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c osip_message_parse.c  -fPIC -DPIC -o .libs/osip_message_parse.o
> osip_message_parse.c: In function 'msg_osip_body_parse':
> osip_message_parse.c:800:15: warning: format '%i' expects argument of type 'int', but argument 3 has type 'size_t' [-Wformat]
> osip_message_parse.c:850:5: error: format not a string literal and no format arguments [-Werror=format-security]
> cc1: some warnings being treated as errors
> 
> make[4]: *** [osip_message_parse.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/libosip2_3.3.0-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Ana Guerrero <ana@debian.org>:
You have taken responsibility. (Sat, 03 Dec 2011 23:33:07 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 23:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 646449-done@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 646449-done@bugs.debian.org
Subject: Re: Bug#646449: libosip2: FTBFS: osip_message_parse.c:850:5: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Sun, 4 Dec 2011 00:31:45 +0100
Version: 3.6.0-1

On Mon, Oct 24, 2011 at 01:08:24PM +0200, Mònica Ramírez Arceda wrote:
> Source: libosip2
> Version: 3.3.0-1
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20111022 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> >  gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../include -Wall -Wcast-align -Wchar-subscripts -Wformat -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -DUSE_GPERF -pedantic -g -DENABLE_TRACE -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c osip_message_parse.c  -fPIC -DPIC -o .libs/osip_message_parse.o
> > osip_message_parse.c: In function 'msg_osip_body_parse':
> > osip_message_parse.c:800:15: warning: format '%i' expects argument of type 'int', but argument 3 has type 'size_t' [-Wformat]
> > osip_message_parse.c:850:5: error: format not a string literal and no format arguments [-Werror=format-security]
> > cc1: some warnings being treated as errors
> > 
> > make[4]: *** [osip_message_parse.lo] Error 1
>

This was fixed already in version 3.6.0-1 uploaded to unstable
about the same time the archive rebuild was done.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 31 Dec 2011 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 31 Dec 2011 21:42:04 GMT) Full text and rfc822 format available.

Message #15 received at 646449@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: ana@debian.org
Cc: 646449@bugs.debian.org
Subject: Re: Bug#646449: libosip2: FTBFS: osip_message_parse.c:850:5: error:, format not a string literal and no format arguments, [-Werror=format-security]
Date: Sat, 31 Dec 2011 21:20:20 +0000
>This was fixed already in version 3.6.0-1 uploaded to unstable
>about the same time the archive rebuild was done.
Umm according to packages.qa.debian.org 3.6.0-1 and all versions
since were uploaded to experimental not unstable.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sun, 01 Jan 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sun, 01 Jan 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 646449@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: peter green <peter.green@postgrad.manchester.ac.uk>
Cc: 646449@bugs.debian.org
Subject: Re: Bug#646449: libosip2: FTBFS: osip_message_parse.c:850:5: error:, format not a string literal and no format arguments, [-Werror=format-security]
Date: Sun, 1 Jan 2012 14:09:11 +0100
On Sat, Dec 31, 2011 at 09:20:20PM +0000, peter green wrote:
> >This was fixed already in version 3.6.0-1 uploaded to unstable
> >about the same time the archive rebuild was done.
> Umm according to packages.qa.debian.org 3.6.0-1 and all versions
> since were uploaded to experimental not unstable.

Right. It is still pending to be fixed in unstable (I guess the
VoIP team is waiting to do the library transition here). The bug
is marked as fixed in the version 3.6.0-1, so it still appears
as affecting unstable anyway.

Thank you,

Ana




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Wed, 15 Feb 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Wed, 15 Feb 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 646449@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: msp@debian.org, kilian@debian.org
Cc: pkg-voip-maintainers@lists.alioth.debian.org, 646449@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: libosip2 upload to unstable
Date: Wed, 15 Feb 2012 19:39:14 +0100
Dear fellows,

  I would like to check if there is something holding RC fix in
unstable for libosip2 package. Currently it is blocking some packages
to build on armhf and s390x. If you dont have the time, would you have
anything against unstable NMU?

Kind regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Fri, 17 Feb 2012 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Fri, 17 Feb 2012 21:21:07 GMT) Full text and rfc822 format available.

Message #30 received at 646449@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Hector Oron <hector.oron@gmail.com>
Cc: kilian@debian.org, 646449@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Sat, 18 Feb 2012 08:12:31 +1100
[Message part 1 (text/plain, inline)]
On Thu, 16 Feb 2012 05:39:14 Hector Oron wrote:
>   I would like to check if there is something holding RC fix in
> unstable for libosip2 package. Currently it is blocking some packages
> to build on armhf and s390x. If you dont have the time, would you have
> anything against unstable NMU?

Hector,

We are currently awaiting a transition slot via debian-release.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656839

According to the endorsed workflow, we should not upload to unstable without 
approval from the release team:
http://wiki.debian.org/Teams/ReleaseTeam/Transitions

So please do not NMU, until this cordination is complete.

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Fri, 24 Feb 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Fri, 24 Feb 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 646449@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: mark@purcell.id.au
Cc: Hector Oron <hector.oron@gmail.com>, kilian@debian.org, 646449@bugs.debian.org, markos@debian.org, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Fri, 24 Feb 2012 19:33:44 +0000
>
> We are currently awaiting a transition slot via debian-release.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656839
>   

Understood
> According to the endorsed workflow, we should not upload to unstable without 
> approval from the release team:
> http://wiki.debian.org/Teams/ReleaseTeam/Transitions
>   
You should not make an upload that starts a transition without approval 
from the release
team, that is not the same thing as making no uploads at all.
> So please do not NMU, until this cordination is complete.
>   
Would you object to a NMU based on the version currently in unstable 
that just fixes the FTBFS?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 25 Feb 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #40 received at 646449@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: peter green <plugwash@p10link.net>
Cc: mark@purcell.id.au, Hector Oron <hector.oron@gmail.com>, kilian@debian.org, 646449@bugs.debian.org, markos@debian.org, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Sat, 25 Feb 2012 01:44:17 +0000
[Message part 1 (text/plain, inline)]
peter green wrote: 
> Would you object to a NMU based on the version currently in unstable 
> that just fixes the FTBFS?
I have now prepared a NMU based on the version currently in sid that 
only fixes the FTBFS. The debdiff is attatched.

libosip2 maintainers are you ok with this NMU?
[libosip.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 25 Feb 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 646449@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: peter green <plugwash@p10link.net>
Cc: Hector Oron <hector.oron@gmail.com>, kilian@debian.org, 646449@bugs.debian.org, markos@debian.org, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Sat, 25 Feb 2012 13:43:08 +1100
[Message part 1 (text/plain, inline)]
On Sat, 25 Feb 2012 12:44:17 peter green wrote:
> peter green wrote:
> > Would you object to a NMU based on the version currently in unstable
> > that just fixes the FTBFS?
> 
> I have now prepared a NMU based on the version currently in sid that
> only fixes the FTBFS. The debdiff is attatched.
> 
> libosip2 maintainers are you ok with this NMU?

Thanks Peter.

That upload is OK.

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 25 Feb 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #50 received at 646449@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Mark Purcell <mark@purcell.id.au>
Cc: Hector Oron <hector.oron@gmail.com>, kilian@debian.org, 646449@bugs.debian.org, markos@debian.org, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Sat, 25 Feb 2012 02:58:09 +0000
> Thanks Peter.
>
> That upload is OK.
>   
Thanks

Since i'm not yet a DD could one of you guys please sponsor it?




Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. (Sat, 25 Feb 2012 04:03:03 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sat, 25 Feb 2012 04:03:03 GMT) Full text and rfc822 format available.

Message #55 received at 646449-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 646449-close@bugs.debian.org
Subject: Bug#646449: fixed in libosip2 3.3.0-2
Date: Sat, 25 Feb 2012 04:02:15 +0000
Source: libosip2
Source-Version: 3.3.0-2

We believe that the bug you reported is fixed in the latest version of
libosip2, which is due to be installed in the Debian FTP archive:

libosip2-4_3.3.0-2_amd64.deb
  to main/libo/libosip2/libosip2-4_3.3.0-2_amd64.deb
libosip2-dev_3.3.0-2_amd64.deb
  to main/libo/libosip2/libosip2-dev_3.3.0-2_amd64.deb
libosip2_3.3.0-2.diff.gz
  to main/libo/libosip2/libosip2_3.3.0-2.diff.gz
libosip2_3.3.0-2.dsc
  to main/libo/libosip2/libosip2_3.3.0-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646449@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated libosip2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Feb 2012 14:23:00 +1100
Source: libosip2
Binary: libosip2-dev libosip2-4
Architecture: source amd64
Version: 3.3.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 libosip2-4 - Session Initiation Protocol (SIP) library
 libosip2-dev - development files for the SIP library
Closes: 646449
Changes: 
 libosip2 (3.3.0-2) unstable; urgency=low
 .
   * Fix "FTBFS: osip_message_parse.c:850:5: error: format not a string
     literal and no format arguments [-Werror=format-security]"
     added patches/format-security.diff (Closes: #646449)
Checksums-Sha1: 
 77013f66fcdd9a908b3963bed91074a8fa29804d 1382 libosip2_3.3.0-2.dsc
 d125a8d40359f3f874f7bc3cf0985ac0cb965d3f 6347 libosip2_3.3.0-2.diff.gz
 a707d730ea6ab85b252839f906db3463cd18469d 154350 libosip2-dev_3.3.0-2_amd64.deb
 50055dd3ef81671233874f9e18f59ca2e19347a0 107042 libosip2-4_3.3.0-2_amd64.deb
Checksums-Sha256: 
 34123fc4c8ee27d4ae23848bc07311fc6d1e5a13a9766eed71fad0a470df5e71 1382 libosip2_3.3.0-2.dsc
 ce9566b2c658e96cf7ef678dd3c54f634b564bc00cb1aba001ce904817913dd7 6347 libosip2_3.3.0-2.diff.gz
 bd31a6287c0b3ac3c044a65713d745e68c93926e7d1a90414f4795ae8c42675a 154350 libosip2-dev_3.3.0-2_amd64.deb
 9a982fc3302e4cadfe5de8266a698c88f9b80ac8b071faa8baee91ecb02360de 107042 libosip2-4_3.3.0-2_amd64.deb
Files: 
 067f5fb030afaa4f625b851523d14ae9 1382 comm optional libosip2_3.3.0-2.dsc
 8cf0b060729c4a777f4f504b6830f0b2 6347 comm optional libosip2_3.3.0-2.diff.gz
 7834e66cdee9b68b153b6da586fbb9a6 154350 libdevel optional libosip2-dev_3.3.0-2_amd64.deb
 5d58fda9e2dc00e6068dc140ebb3b218 107042 libs optional libosip2-4_3.3.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9IWckACgkQoCzanz0IthKsjACgiR2pqGQyBA04Nxu2+d9zJKaZ
6NEAniWaJLVCVvNsjMvoQgeSk45tPjZT
=0Xok
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 25 Feb 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 10:51:08 GMT) Full text and rfc822 format available.

Message #60 received at 646449@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: peter green <plugwash@p10link.net>
Cc: Mark Purcell <mark@purcell.id.au>, kilian@debian.org, 646449@bugs.debian.org, markos@debian.org, 656839@bugs.debian.org
Subject: Re: libosip2 upload to unstable
Date: Sat, 25 Feb 2012 10:49:24 +0000
Hi,

2012/2/25 peter green <plugwash@p10link.net>:

> Since i'm not yet a DD could one of you guys please sponsor it?

I can do that. No worries. Thanks.

-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#646449; Package src:libosip2. (Sat, 25 Feb 2012 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 20:57:03 GMT) Full text and rfc822 format available.

Message #65 received at 646449@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: pkg-voip-maintainers@lists.alioth.debian.org, Hector Oron <hector.oron@gmail.com>, 646449@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, markos@debian.org, kilian@debian.org, 656839@bugs.debian.org
Subject: Re: Bug#646449: libosip2 upload to unstable
Date: Sun, 26 Feb 2012 07:54:42 +1100
[Message part 1 (text/plain, inline)]
On Sat, 25 Feb 2012 21:49:24 Hector Oron wrote:
> Hi,
> 
> 2012/2/25 peter green <plugwash@p10link.net>:
> > Since i'm not yet a DD could one of you guys please sponsor it?
> 
> I can do that. No worries. Thanks.

Hector, Thanks for the offer, but no need now.

I have uploaded the NMU and d-r have given the green light on the experimental 
transition, so that is going on now.

Mark
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Apr 2012 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:52:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.